package com.seer.teach.admin.convert;

import com.seer.teach.admin.request.AdminAiScenarioReq;
import com.seer.teach.admin.response.AdminAiScenarioResp;
import com.seer.teach.teacher.module.entity.AiScenarioEntity;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

@Mapper
public interface AdminAiScenarioConvert {

    AdminAiScenarioConvert INSTANCE = Mappers.getMapper(AdminAiScenarioConvert.class);

    AdminAiScenarioResp entityToResponse(AiScenarioEntity aiScenarioEntity);

    List<AdminAiScenarioResp> entityListToResponseList(List<AiScenarioEntity> aiScenarioEntityList);

    AiScenarioEntity reqToEntity(AdminAiScenarioReq aiScenarioRequest);
}